<?xml version="1.0" encoding="UTF-8"?>

<!--
IGAC proyecto SNC
@author juan.agudelo

@description  página donde se muestra el resumen de detalle de una solicitud
@cu CU-CO-V-01
@version 2.0

parámetros:
@param 	currentManagedBeanParam: 	MB que contiene el trámite del que se muestran los detalles, 
                                                                        y los predios asociados al mismo
@param	selectedSolicitudParam:		Solicitud seleccionada

TODO::juan.agudelo::revisar el uso del MB gestionarSolicitudes. Hace muy pesado esto. Se usa solo para solicitudes de aviso,
por lo que podría hacerse eso como una consulta adicional en el MB donde se use ésta página o pasarlo como parámetro

@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2 -->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        id="detalleSolicitudEjecutarForm">


    <h:panelGrid columns="6" cellspacing="10" width="100%">

        <h:outputLabel value="Número de solicitud: "
                       styleClass="outputLabelStyle" />
        <h:outputText value="#{selectedSolicitudParam.numero}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="Tipo: " styleClass="outputLabelStyle" />
        <h:outputText value="#{selectedSolicitudParam.tipo}"
                      id="SolicitudTipoV" styleClass="outputTextStyle">
            <f:converter converterId="converterCB" for="SolicitudTipoV" />
        </h:outputText>

        <h:outputLabel value="Fecha de solicitud: "
                       styleClass="outputLabelStyle" />
        <h:outputText value="#{selectedSolicitudParam.fecha}"
                      styleClass="outputTextStyle">
            <f:convertDateTime pattern="#{general.formatoFecha}" locale="es_CO"
                               timeZone="GMT-5" />
        </h:outputText>

        <h:outputLabel value="Folios: " styleClass="outputLabelStyle" />
        <h:outputText value="#{selectedSolicitudParam.folios}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="Anexos:" styleClass="outputLabelStyle" />
        <h:outputText value="#{selectedSolicitudParam.anexos}"
                      styleClass="outputTextStyle" />

        <h:outputLabel value="Tipo documento correspondencia: "
                       styleClass="outputLabelStyle" />
        <h:outputText id="TipoDocumentoCorrespondenciaCV"
                      value="#{selectedSolicitudParam.tipoDocumentoCorrespondencia}"
                      styleClass="outputTextStyle">
            <f:converter converterId="converterCB"
                         for="TipoDocumentoCorrespondenciaCV" />
        </h:outputText>
    </h:panelGrid>

    <p:separator />
    <h:panelGrid columns="2" width="100%" cellspacing="6">

        <h:outputLabel value="Asunto: " styleClass="outputLabelStyle" />
        <h:outputText value="#{selectedSolicitudParam.asunto}"
                      styleClass="outputBigTextStyle" />

        <h:outputLabel value="Observaciones: " styleClass="outputLabelStyle" />
        <h:outputText value="#{selectedSolicitudParam.observaciones}"
                      styleClass="outputBigTextStyle" />
    </h:panelGrid>

    <p:separator />
    <h:panelGrid columns="6" cellspacing="6" width="100%">
        <h:outputLabel value="Sistema envío: " styleClass="outputLabelStyle"
                       rendered="#{selectedSolicitudParam.sistemaEnvio ne null and not empty selectedSolicitudParam.sistemaEnvio}" />
        <h:outputText value="#{selectedSolicitudParam.sistemaEnvio}"
                      styleClass="outputTextStyle" id="SolicitudSistemaEnvioV"
                      rendered="#{selectedSolicitudParam.sistemaEnvio ne null}">
            <f:converter converterId="converterCB" for="SolicitudSistemaEnvioV" />
        </h:outputText>

        <h:outputLabel value="Número guía: " styleClass="outputLabelStyle"
                       rendered="#{selectedSolicitudParam.numeroGuia ne null and not empty selectedSolicitudParam.numeroGuia}" />
        <h:outputText value="#{selectedSolicitudParam.numeroGuia}"
                      styleClass="outputTextStyle"
                      rendered="#{selectedSolicitudParam.numeroGuia ne null}" />

    </h:panelGrid>

    <p:separator rendered="#{selectedSolicitudParam.solicitudAvisos}" />
    <div style="overflow: auto; width: 880px;">
        <ui:include src="datosSolicitudAvisosMuestra.xhtml">
            <ui:param name="solicitudAvisoParam"
                      value="#{selectedSolicitudParam.solicitudAvisoRegistro}" />
            <ui:param name="showComponentParam"
                      value="#{selectedSolicitudParam.solicitudAvisos}" />
            <ui:param name="managedBeanParam" value="#{gestionarSolicitudes}" />
        </ui:include>
    </div>
    <p:fieldset>
        <legend>
            <h:outputText value="Información de los solicitantes"
                          styleClass="legendTitle" />
        </legend>

        <div style="overflow: auto; width: 100%;">

            <p:dataTable value="#{selectedSolicitudParam.solicitanteSolicituds}"
                         var="solicitanteSolicitud" id="solicitanteSolicitudTable"
                         widgetVar="solicitanteSolicitudTableWV"
                         rowKey="#{solicitanteSolicitud.id}"
                         emptyMessage="La solicitud no tiene solicitantes">

                <f:facet name="header">  
                    Datos de los solicitantes
                </f:facet>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="T.P." title="Tipo de persona" />
                    </f:facet>
                    <h:outputText value="#{solicitanteSolicitud.tipoPersona}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        <h:outputText value="T.I." title="Tipo de identificación" />
                    </f:facet>
                    <h:outputText value="#{solicitanteSolicitud.tipoIdentificacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        No. identificación				
                    </f:facet>
                    <h:outputText value="#{solicitanteSolicitud.numeroIdentificacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Nombre completo / Razón social					
                    </f:facet>
                    <h:outputText value="#{solicitanteSolicitud.nombreCompleto}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Tipo solicitante					
                    </f:facet>
                    <h:outputText value="#{solicitanteSolicitud.tipoSolicitante}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Dirección				
                    </f:facet>
                    <h:outputText value="#{solicitanteSolicitud.direccion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Teléfono					
                    </f:facet>
                    <h:outputText value="#{solicitanteSolicitud.telefonoPrincipal}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Correo electrónico					
                    </f:facet>
                    <h:outputText value="#{solicitanteSolicitud.correoElectronico}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        País					
                    </f:facet>
                    <h:outputText value="#{solicitanteSolicitud.direccionPais.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Departamento				
                    </f:facet>
                    <h:outputText
                        value="#{solicitanteSolicitud.direccionDepartamento.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Municipio				
                    </f:facet>
                    <h:outputText
                        value="#{solicitanteSolicitud.direccionMunicipio.nombre}" />
                </p:column>

            </p:dataTable>

        </div>

    </p:fieldset>

    <p:spacer height="10" width="0" />

    <p:fieldset id="datosTramitesSolicitud">
        <legend>
            <h:outputText
                value="Información de los trámites asociados a la solicitud"
                styleClass="legendTitle" />
        </legend>

        <p:dataTable value="#{selectedSolicitudParam.tramites}"
                     var="tramiteSolicitud" id="solicitudTramitesTableD"
                     widgetVar="solicitudTramitesTableWV"
                     emptyMessage="No se encontraron trámites asociados a la solictud"
                     rendered="#{not empty selectedSolicitudParam.tramites}"
                     rowKey="#{tramiteSolicitud.id}">

            <f:facet name="header">  
                Trámites
            </f:facet>

            <p:column>
                <f:facet name="header">
                    No. Radicación
                </f:facet>

                <p:commandLink styleClass="commandLinkStyle"
                               oncomplete="statusDialog2.hide();detalleTramiteEjecutarWV.show();"
                               process="@this" onstart="statusDialog2.show()"
                               update="#{tramiteResumenID}:detalleTramiteEjecutarForm"
                               value="#{tramiteSolicitud.numeroRadicacion}">
                    <f:setPropertyActionListener value="#{tramiteSolicitud}"
                                                 target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                </p:commandLink>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Fecha radicación 
                </f:facet>
                <h:outputText value="#{tramiteSolicitud.fechaRadicacion}">
                    <f:convertDateTime pattern="#{general.formatoFecha}" locale="es"
                                       timeZone="GMT-5" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Tipo de trámite
                </f:facet>
                <h:outputText value="#{tramiteSolicitud.tipoTramiteCadenaCompleto}"
                              id="TramiteTipoTramiteV">
                    <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Departamento
                </f:facet>
                <h:outputText value="#{tramiteSolicitud.departamento.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Municipio
                </f:facet>
                <h:outputText value="#{tramiteSolicitud.municipio.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    No. Predial
                </f:facet>
                <p:dataList value="#{tramiteSolicitud.predios}" var="predio" itemType="square"
                            rendered="#{not empty tramiteSolicitud.predios}">  
                    <p:column>
                        <p:commandLink
                            process="@this"
                            update="#{cc.attrs.tramiteResumenID}:dpCC:detallesPredioTV"
                            styleClass="commandLinkStyle"
                            oncomplete="detallePredioWV.show();statusDialog2.hide()"
                            onstart="statusDialog2.show()"
                            rendered="#{not empty tramiteSolicitud.predio and !tramiteSolicitud.quinta}"
                            action="#{consultaPredio.cleanAllMB}">
                            <h:outputText value="#{predio.formattedNumeroPredialCompleto}" 
                                          styleClass="commandLinkStyleInTable"/>
                            <f:setPropertyActionListener
                                value="#{predio.id}"
                                target="#{consultaPredio.selectedPredioId}" />
                        </p:commandLink>
                        <h:outputText
                            value="#{tramiteSolicitud.formattedNumeroPredialCompleto}"
                            rendered="#{not empty tramiteSolicitud.numeroPredial and empty tramiteSolicitud.predio and tramiteSolicitud.quinta}" />
                    </p:column>

                </p:dataList>
            </p:column>

            <p:column>
                <f:facet name="header">
                    No. Predial anterior
                </f:facet>
                <h:outputText 
                    value="#{tramiteSolicitud.predio.numeroPredialAnterior}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Documentación
                </f:facet>
                <h:outputText value="#{tramiteSolicitud.estadoDocumentos}" />
            </p:column>

        </p:dataTable>

        <p:dataTable id="tramitesRechazadosSolicitudDT"
                     paginatorPosition="bottom" paginator="true" rows="10"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15"
                     emptyMessage="No hay resultados para esta búsqueda"
                     value="#{solicitudSeleccionada.solicitudAvisoRegistro.avisoRegistroRechazos}"
                     var="rechazado" rowKey="#{rechazado.first.predio.id}"
                     rendered="#{not empty solicitudSeleccionada.solicitudAvisoRegistro and not empty solicitudSeleccionada.solicitudAvisoRegistro.avisoRegistroRechazos}">

            <f:facet name="header">
                Avisos rechazados
            </f:facet>
            <p:column>
                <f:facet name="header">
                    Departamento
                </f:facet>
                <h:outputText value="#{rechazado.first.predio.departamento.nombre}"
                              styleClass="outputTextStyle" />

            </p:column>

            <p:column>
                <f:facet name="header">
                    Municipio
                </f:facet>
                <h:outputText value="#{rechazado.first.predio.municipio.nombre}"
                              styleClass="outputTextStyle" />

            </p:column>

            <p:column>
                <f:facet name="header">
                    Número predial
                </f:facet>
                <h:outputText value="#{rechazado.first.predio.numeroPredial}"
                              styleClass="outputTextStyle"
                              rendered="#{fn:length(rechazado.avisoRegistroRechazoPredios) le 1}" />

                <p:commandLink styleClass="commandLinkStyle"
                               action="#{managedBeanAvisosRechazados.mostrarMultiplesPrediosAvisoRechazado}"
                               onclick="prediosAvisoRechazadoWV.show()"
                               update="prediosAvisoRechazadoForm" immediate="true"
                               title="click para ver los demás predios"
                               rendered="#{fn:length(rechazado.avisoRegistroRechazoPredios) gt 1}">
                    <h:outputText
                        value="&nbsp;#{rechazado.first.predio.numeroPredial}&nbsp;"
                        styleClass="outputTextStyle"
                        rendered="#{fn:length(rechazado.avisoRegistroRechazoPredios) gt 1}" />
                    <f:setPropertyActionListener
                        target="#{managedBeanAvisosRechazados.selectedAvisoRechazado}"
                        value="#{rechazado}" />
                </p:commandLink>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Número predial anterior
                </f:facet>
                <h:outputText
                    value="#{rechazado.first.predio.numeroPredialAnterior}"
                    styleClass="outputTextStyle" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Motivo no procede
                </f:facet>
                <h:outputText value="#{rechazado.motivoNoProcede}"
                              styleClass="outputTextStyle" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Observaciones
                </f:facet>
                <h:outputText value="#{rechazado.observaciones}"
                              styleClass="outputTextStyle" />
            </p:column>

        </p:dataTable>

        <p:spacer width="0" height="25"
                  rendered="#{empty selectedSolicitudParam.tramites and 
                              empty selectedSolicitudParam.solicitudAvisoRegistro.avisoRegistroRechazos}" />
        <h:outputText value="No existen trámites  asociados a la solicitud"
                      styleClass="outputTextStyle" 
                      rendered="#{empty selectedSolicitudParam.tramites and 
                                  empty gestionarSolicitudes.solicitudSeleccionada.solicitudAvisoRegistro.avisoRegistroRechazos}"
                      style="position:relative;left:10px;" />
        <p:spacer width="13" height="0" />
    </p:fieldset>

    <p:spacer width="0" height="10" />

</h:form>